Skip to main content
GET
Read an upload

Authorizations

X-API-Key
string
header
required

Your ProvenMetal API key (pm_live_...). Authorization: Bearer <key> also works.

Path Parameters

upload_id
string
required
Maximum string length: 64

Response

Successful Response

ok
boolean
required
upload_id
string
required
upload_url
string | null

A signed link that takes more files for this upload for two hours, without an API key (multipart field files; a .tgz is unpacked).

expires_in_minutes
integer | null

How long upload_url takes files.

files
string[] | null

The files the upload holds.

expires_at
string | null

When the upload's files are deleted: six hours after the last arrived.

quote_takes
string | null

How long a quote of these files takes, bare and assembled.

command
string | null

A shell command that sends files to upload_url.